stamp_plug_in_enums = custom_target('stamp-plug-in-enums.h',
  input : [
    files(
      'plug-in-enums.h'
    ),
  ],
  output: [ 'stamp-plug-in-enums.h', ],
  command: [
    mkenums_wrap, perl,
    meson.project_source_root(), meson.current_source_dir(),
    meson.current_build_dir(),
    'plug-in-',
    '#include <gio/gio.h>\n'              +
    '#include "libpikabase/pikabase.h"\n',
    '#include "pika-intl.h"'
  ],
  build_by_default: true
)

libappplugin_sources = [
  'pikaenvirontable.c',
  'pikagpparams.c',
  'pikainterpreterdb.c',
  'pikaplugin-cleanup.c',
  'pikaplugin-context.c',
  'pikaplugin-message.c',
  'pikaplugin-proc.c',
  'pikaplugin-progress.c',
  'pikaplugin.c',
  'pikaplugindebug.c',
  'pikaplugindef.c',
  'pikapluginerror.c',
  'pikapluginmanager-call.c',
  'pikapluginmanager-data.c',
  'pikapluginmanager-file.c',
  'pikapluginmanager-help-domain.c',
  'pikapluginmanager-menu-branch.c',
  'pikapluginmanager-query.c',
  'pikapluginmanager-restore.c',
  'pikapluginmanager.c',
  'pikapluginprocedure.c',
  'pikapluginprocframe.c',
  'pikapluginshm.c',
  'pikatemporaryprocedure.c',
  'plug-in-menu-path.c',
  'plug-in-rc.c',

  'plug-in-enums.c',
  stamp_plug_in_enums,

  appcoremarshal[1],
]

libappplugin = static_library('appplug-in',
  libappplugin_sources,
  include_directories: [ rootInclude, rootAppInclude, ],
  c_args: '-DG_LOG_DOMAIN="Pika-Plug-In"',
  dependencies: [
    cairo, gegl, gdk_pixbuf,
  ],
)
